---
title: '<sub>: The Subscript element'
slug: Web/HTML/Element/sub
tags:
  - Baseline
  - Element
  - Footnotes
  - HTML
  - HTML text-level semantics
  - 'HTML:Flow content'
  - 'HTML:Palpable Content'
  - 'HTML:Phrasing content'
  - Reference
  - Subscript
  - Web
  - sub
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The HTML <strong>Subscript element</strong> (<strong><code>&lt;sub&gt;</code></strong>) specifies inline text which should be displayed as subscript for solely typographical reasons.</span> Subscripts are typically rendered with a lowered baseline using smaller text.</p>

<div>{{EmbedInteractiveExample("pages/tabbed/sub.html", "tabbed-shorter")}}</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>, palpable content.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">Phrasing content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>{{no_tag_omission}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">No corresponding role</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>Any</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element only includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>The <code>&lt;sub&gt;</code> element should be used only for typographical reasons—that is, to change the position of the text to comply with typographical conventions or standards, rather than solely for presentation or appearance purposes.</p>

<p>For example, using <code>&lt;sub&gt;</code> to style the name of a company which uses altered baselines in their {{interwiki("wikipedia", "wordmark")}} would not be appropriate; instead, CSS should be used (likely the {{cssxref("vertical-align")}} property, such as <code>vertical-align: sub</code> or, to more precisely control the baseline shift, <code>vertical-align: -25%</code>.</p>

<p>Appropriate use cases for <code>&lt;sub&gt;</code> include (but aren't necessarily limited to):</p>

<ul>
 <li>Marking up footnote numbers. See {{anch("Footnote numbers")}} for an example.</li>
 <li>Marking up the subscript in mathematical variable numbers (although you may also consider using a <a href="/en-US/docs/Web/MathML">MathML</a> formula for this). See {{anch("Variable subscripts")}}.</li>
 <li>Denoting the number of atoms of a given element within a chemical formula (such as every developer's best friend, C<sub>8</sub>H<sub>10</sub>N<sub>4</sub>O<sub>2</sub>, otherwise known as "caffeine"). See {{anch("Chemical formulas")}}.</li>
</ul>

<h2 id="Examples">Examples</h2>

<h3 id="Footnote_numbers">Footnote numbers</h3>

<p>Traditional footnotes are denoted using numbers which are rendered in subscript. This is a common use case for <code>&lt;sub&gt;</code>:</p>

<pre class="brush: html">&lt;p&gt;According to the computations by Nakamura, Johnson, and
Mason&lt;sub&gt;1&lt;/sub&gt; this will result in the complete annihilation
of both particles.&lt;/p&gt;</pre>

<p>The resulting output looks like this:</p>

<p>{{EmbedLiveSample("Footnote_numbers", 650, 80)}}</p>

<h3 id="Variable_subscripts">Variable subscripts</h3>

<p>In mathematics, families of variables related to the same concept (such as distances along the same axis) are represented using the same variable name with a subscript following. For example:</p>

<pre class="brush: html">&lt;p&gt;The horizontal coordinates' positions along the X-axis are
represented as &lt;var&gt;x&lt;sub&gt;1&lt;/sub&gt;&lt;/var&gt; ... &lt;var&gt;x&lt;sub&gt;n&lt;/sub&gt;&lt;/var&gt;.&lt;/p&gt;</pre>

<p>The resulting output:</p>

<p>{{EmbedLiveSample("Variable_subscripts", 650, 80)}}</p>

<h3 id="Chemical_formulas">Chemical formulas</h3>

<p>When writing a chemical formula, such as H<sub>2</sub>0, the number of atoms of a given element within the described molecule is represented using a subscripted number; in the case of water, the subscripted "2" indicates that there are two atoms of hydrogen in the molecule.</p>

<p>Another example:</p>

<pre class="brush: html">&lt;p&gt;Almost every developer's favorite molecule is
C&lt;sub&gt;8&lt;/sub&gt;H&lt;sub&gt;10&lt;/sub&gt;N&lt;sub&gt;4&lt;/sub&gt;O&lt;sub&gt;2&lt;/sub&gt;, which is
commonly known as "caffeine."&lt;/p&gt;</pre>

<p>The output:</p>

<p>{{EmbedLiveSample("Chemical_formulas", 650, 120)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'text-level-semantics.html#the-sub-and-sup-elements', '&lt;sub&gt; and &lt;sup&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'textlevel-semantics.html#the-sub-and-sup-elements', '&lt;sub&gt; and &lt;sup&gt;;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a class="external" href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("html.elements.sub")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{HTMLElement("sup")}} HTML element that produces superscript. Note that you cannot use them both at the same time and you need to use <a href="/en-US/docs/Web/MathML">MathML</a> to produce both a superscript directly above a subscript next to the chemical symbol of an element, representing its atomic number and its nuclear number.</li>
 <li>The <a href="/en-US/docs/Web/MathML/Element/msub"><code>&lt;msub&gt;</code></a>, <a href="/en-US/docs/Web/MathML/Element/msup"><code>&lt;msup&gt;</code></a>, and <a href="/en-US/docs/Web/MathML/Element/msubsup"><code>&lt;msubsup&gt;</code></a> MathML elements.</li>
 <li>The CSS {{cssxref("vertical-align")}} property.</li>
</ul>
